# Administration

## Création d'un compte utilisateur

Les comptes se créent dans le tableau Utilisateurs disponible depuis le menu de droite, en cliquant sur son icone d'utilisateur (ici le D sur fond violet)

![Menu Utilisateurs](nextcloud-demo-menu-utilisateurs.png)

Pour ajouter un nouvel utilisateur, utiliser le bouton à gauche de l'interface

![Bouton pour l'ajout d'un utilisateur](nextcloud-demo-ajout-utilisateur.png)

Pour les détails, voir le guide de l'administrateur à la section [User management](https://docs.nextcloud.com/server/20/admin_manual/configuration_user/index.html)

Pour forcer l'authentification à deux facteurs de tous les utilisateurs, on installer l'application Two-Factor TOTP Provider  depuis le tableau des applications.

![application Two-Factor TOTP Provider](nextcloud-tableau-applications-totp.png)

On doit ensuite activer la fonctionnalité dans le panneau Sécurité du volet Administration du tableau Paramètres

![Menu Paramètres](nextcloud-demo-menu-parametres.png)

Dans la section Authentification en deux étapes, on coche la case qui active l'option

![Option pour imposer le 2fa](nextcloud-demo-securite-imposer-2fa.png)

## Activer l'authentification à double facteur

Lors de la première connexion à Nextcloud, l'utilisateur devra configurer son authentification à double facteur

![Invite de création d'une identification à double facteur](totp-demo-creation.png)

Depuis son appareil mobile, ouvrir l'application de gestion des jetons d'identification. Dans cet exemple, il s'agit de [FreeOTP+](https://github.com/helloworld1/FreeOTPPlus)

![Accueil de FreeOTP+](totp-android-accueil.png)

Puis, prendre en photo le code QR qui est affiché à l'écran

![Prendre en photo le QR avec FreeOTP+](totp-prendre-photo.png)

Enfin, saisir le code apparaissant dans l'application

![Exemple de FreeOTP+](totp-code-genere.png)

Ensuite, sélectionner le mode d'authentification configuré et entrer le nouveau code généré par l'application

![Premier login dans Nextcloud avec FreeOTP](totp-premier-login.png)
